// Copyright (c) 2021 Spotify AB.
//
// Licensed to the Apache Software Foundation (ASF) under one
// or more contributor license agreements.  See the NOTICE file
// distributed with this work for additional information
// regarding copyright ownership.  The ASF licenses this file
// to you under the Apache License, Version 2.0 (the
// "License"); you may not use this file except in compliance
// with the License.  You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

import Foundation
@testable import XCRemoteCache
import XCTest

class StringToSignTest: XCTestCase {

    func testSimpleStringToSign() throws {
        let stringToSign = StringToSign(
            region: "us-east-1",
            service: "service1",
            canonicalRequestHash: "f536975d06c0309214f805bb90ccff089219ecd68b2577efef23edd43b7e1a59",
            date: Date(timeIntervalSince1970: 1_624_524_656)
        )

        XCTAssertEqual(
            stringToSign.value,
            "AWS4-HMAC-SHA256\n" +
                "20210624T085056Z\n" +
                "20210624/us-east-1/service1/aws4_request\n" +
                "f536975d06c0309214f805bb90ccff089219ecd68b2577efef23edd43b7e1a59"
        )
    }
}
